XDocletMessages (XDoclet 1.2.3 API)
Keywords: xdoclet.XDocletMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class XDocletMessages

    java.lang.Object
      xdoclet.XDocletMessages

public final class XDocletMessages
extends Object

All messages resource keys should be defined in a Messages class, per package, as constants. The class is named like this: XDocletMessages, or XDocletEjbDdMessages, i.e. full package name prefixed (making pointing to them easier). They should not be referenced literally in any place, because it's easy to misspell it. Using Messages class means this possibility is zero. Another benefit is that wherever you need to reference a resource key from another package, you just use a phrase like xdoclet.ejb.Messages.class and not the literal, and that means if we refactor the code (change packages) a refactoring tool like IDEA can update the references too. So even if we're pointing to external resources, everything is compile time checked.

Version:
  $Revision: 1.16 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com)
created
  May 30, 2002

Field Summary
`static String` | `AMBIGUOUS_SUBTASK_DEFINITION`
`static String` | `ATTRIBUTE_NOT_PRESENT_ERROR`
`static String` | `ATTRIBUTE_NOT_SUPPORTED`
`static String` | `BAD_GETTEXT_DOC_TYPE`
`static String` | `BAD_PRGELEMDOC_TYPE`
`static String` | `BAD_TAGVALUE_TYPE`
`static String` | `CHECK_CLASS_FAILED`
`static String` | `CLASS_CAST_EXCEPTION`
`static String` | `CLASS_NOT_FOUND`
`static String` | `CLASS_NOT_FOUND_EXCEPTION`
`static String` | `CLASS_TAG_EXPECTED`
`static String` | `CLASS_TAG_PARAMETER_EXPECTED`
`static String` | `CONTEXT_READ_ERROR`
`static String` | `CONTEXT_WRITE_ERROR`
`static String` | `COULDNT_CONF_XML_PARSER`
`static String` | `COULDNT_FIND_BEAN`
`static String` | `COULDNT_FIND_DTD`
`static String` | `COULDNT_INIT_XML_PARSER`
`static String` | `COULDNT_INSTANTIATE_SUBTASK`
`static String` | `COULDNT_LOAD_DTD`
`static String` | `COULDNT_LOAD_LOCAL_DTD`
`static String` | `COULDNT_LOAD_XML_FILE`
`static String` | `CREATE_TASK_ERROR`
`static String` | `DEPENDENT_CLASS_FOR_SUBTASK_NOT_FOUND`
`static String` | `DO_NOT_EDIT`
`static String` | `DUPLICATED_TAG`
`static String` | `GENERATED_BY_XDOCLET`
`static String` | `GENERATING_SOMETHING`
`static String` | `GENERATING_TEMPLATE_OUTPUT_PER_CLASS`
`static String` | `GENERATING_TEMPLATE_OUTPUT_SINGLE_FILE`
`static String` | `ILLEGAL_ACCESS_EXCEPTION`
`static String` | `INCORRECT_CLASSPATH`
`static String` | `INIT_TEMPLATE_ENGINE_FAILED`
`static String` | `INSTANTIATION_EXCEPTION`
`static String` | `INVALID_TAG_PARAM_VALUE_CLASS`
`static String` | `INVALID_TAG_PARAM_VALUE_CONSTRUCTOR`
`static String` | `INVALID_TAG_PARAM_VALUE_FIELD`
`static String` | `INVALID_TAG_PARAM_VALUE_METHOD`
`static String` | `JAVADOC_COULDNT_LOAD_CLASS`
`static String` | `MANDATORY_TAG_PARAM_MISSING_CLASS`
`static String` | `MANDATORY_TAG_PARAM_MISSING_CONSTRUCTOR`
`static String` | `MANDATORY_TAG_PARAM_MISSING_FIELD`
`static String` | `MANDATORY_TAG_PARAM_MISSING_METHOD`
`static String` | `MANDATORY_TAG_PARAM_MISSING_TEMPLATE`
`static String` | `METHOD_FAILED`
`static String` | `METHOD_NOT_FOUND`
`static String` | `NO_DESCRIPTION`
`static String` | `NO_FILESETS`
`static String` | `NO_XML_TAGS_ALLOWED`
`static String` | `OBSOLETE_TASK_ATTRIBUTE`
`static String` | `PARAMETER_MISSING_OR_EMPTY`
`static String` | `RUNNING_FAILED`
`static String` | `RUNNING_TASKNAME`
`static String` | `TAG_MALFORMED_VALUE`
`static String` | `TAG_MISSING_EQUALS`
`static String` | `TAG_MUST_ESCAPE_QUOTES`
`static String` | `TAG_MUST_INCLUDE_A_PROPERTY`
`static String` | `TAG_NO_CLOSING_QUOTE`
`static String` | `TAG_QUOTE_EXPECTED`
`static String` | `TAGVALUE_NULL`
`static String` | `TEMPLATE_TAGNAME_IS_NULL`
`static String` | `XDOCLET_FAILED`

Constructor Summary
`XDocletMessages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_MISSING_OR_EMPTY

    public static final String PARAMETER_MISSING_OR_EMPTY

See Also:
  Constant Field Values
msg.bundle
  msg="''{0}'' parameter missing or empty."

### CONTEXT_WRITE_ERROR

    public static final String CONTEXT_WRITE_ERROR

See Also:
  Constant Field Values
msg.bundle
  msg="Running {0} task failed. An IO error occured while writing context data."

### CONTEXT_READ_ERROR

    public static final String CONTEXT_READ_ERROR

See Also:
  Constant Field Values
msg.bundle
  msg="Running XDoclet failed. An IO error occured while reading context data."

### ATTRIBUTE_NOT_PRESENT_ERROR

    public static final String ATTRIBUTE_NOT_PRESENT_ERROR

See Also:
  Constant Field Values
msg.bundle
  msg="{0} attribute must be present."

### NO_FILESETS

    public static final String NO_FILESETS

See Also:
  Constant Field Values
msg.bundle
  msg="You must specify at least one fileset to indicate which files are to be processed."

### RUNNING_TASKNAME

    public static final String RUNNING_TASKNAME

See Also:
  Constant Field Values
msg.bundle
  msg="Running {0}"

### RUNNING_FAILED

    public static final String RUNNING_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="Running XDoclet failed."

### INCORRECT_CLASSPATH

    public static final String INCORRECT_CLASSPATH

See Also:
  Constant Field Values
msg.bundle
  msg="Running XDoclet failed. A needed class was not found. Configure classpath of XDoclet task properly."

### COULDNT_INSTANTIATE_SUBTASK

    public static final String COULDNT_INSTANTIATE_SUBTASK

See Also:
  Constant Field Values
msg.bundle
  msg="Could not instantiate SubTask class ''{0}''. Ignored. Make sure it''s in doclet''s classpath."

### INIT_TEMPLATE_ENGINE_FAILED

    public static final String INIT_TEMPLATE_ENGINE_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="Initializing template engine failed."

### MANDATORY_TAG_PARAM_MISSING_FIELD

    public static final String MANDATORY_TAG_PARAM_MISSING_FIELD

See Also:
  Constant Field Values
msg.bundle
  msg="Mandatory parameter ''{0}'' missing for {1} tag in {2} field of {3} class."

### MANDATORY_TAG_PARAM_MISSING_CONSTRUCTOR

    public static final String MANDATORY_TAG_PARAM_MISSING_CONSTRUCTOR

See Also:
  Constant Field Values
msg.bundle
  msg="Mandatory parameter ''{0}'' missing for {1} tag in constructor of {2} class."

### MANDATORY_TAG_PARAM_MISSING_CLASS

    public static final String MANDATORY_TAG_PARAM_MISSING_CLASS

See Also:
  Constant Field Values
msg.bundle
  msg="Mandatory parameter ''{0}'' missing for {1} tag in {2} class."

### MANDATORY_TAG_PARAM_MISSING_METHOD

    public static final String MANDATORY_TAG_PARAM_MISSING_METHOD

See Also:
  Constant Field Values
msg.bundle
  msg="Mandatory parameter ''{0}'' missing for {1} tag in {2} method of {3} class."

### GENERATED_BY_XDOCLET

    public static final String GENERATED_BY_XDOCLET

See Also:
  Constant Field Values
msg.bundle
  msg="Generated by XDoclet"

### DO_NOT_EDIT

    public static final String DO_NOT_EDIT

See Also:
  Constant Field Values
msg.bundle
  msg="Generated file - Do not edit!"

### NO_DESCRIPTION

    public static final String NO_DESCRIPTION

See Also:
  Constant Field Values
msg.bundle
  msg="No Description."

### JAVADOC_COULDNT_LOAD_CLASS

    public static final String JAVADOC_COULDNT_LOAD_CLASS

See Also:
  Constant Field Values
msg.bundle
  msg="Javadoc couldn''t load class {0}, add it to the sourcepath please."

### METHOD_FAILED

    public static final String METHOD_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="{0} failed."

### CLASS_NOT_FOUND

    public static final String CLASS_NOT_FOUND

See Also:
  Constant Field Values
msg.bundle
  msg="Class ''{0}'' not found. Make sure it''s added to XDoclet''s classpath."

### NO_XML_TAGS_ALLOWED

    public static final String NO_XML_TAGS_ALLOWED

See Also:
  Constant Field Values
msg.bundle
  msg="Not an XmlSubTask, so can''t use Xml namespace template tags."

### BAD_GETTEXT_DOC_TYPE

    public static final String BAD_GETTEXT_DOC_TYPE

See Also:
  Constant Field Values
msg.bundle
  msg="doc argument passed to TemplateDoclet.getText is not of type ClassDoc or MethodDoc or ConstructorDoc or FieldDoc. doc={0}"

### COULDNT_CONF_XML_PARSER

    public static final String COULDNT_CONF_XML_PARSER

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t configure XML parser."

### COULDNT_LOAD_DTD

    public static final String COULDNT_LOAD_DTD

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t load DTD."

### COULDNT_LOAD_XML_FILE

    public static final String COULDNT_LOAD_XML_FILE

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t load XML file."

### COULDNT_INIT_XML_PARSER

    public static final String COULDNT_INIT_XML_PARSER

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t initialize XML parser."

### COULDNT_LOAD_LOCAL_DTD

    public static final String COULDNT_LOAD_LOCAL_DTD

See Also:
  Constant Field Values
msg.bundle
  msg="WARNING: couldn''t load local DTD for publicId={0}."

### COULDNT_FIND_DTD

    public static final String COULDNT_FIND_DTD

See Also:
  Constant Field Values
msg.bundle
  msg="WARNING: Couldn''t find DTD in xdoclet.jar: {0}. You should set validatexml=\"false\"."

### CLASS_TAG_PARAMETER_EXPECTED

    public static final String CLASS_TAG_PARAMETER_EXPECTED

See Also:
  Constant Field Values
msg.bundle
  msg="''{0}'' parameter of {1} class tag expected in class {2} but not found."

### CLASS_TAG_EXPECTED

    public static final String CLASS_TAG_EXPECTED

See Also:
  Constant Field Values
msg.bundle
  msg="{0} class tag expected in class {1} but not found."

### INVALID_TAG_PARAM_VALUE_FIELD

    public static final String INVALID_TAG_PARAM_VALUE_FIELD

See Also:
  Constant Field Values
msg.bundle
  msg="The value ''{0}'' specified for parameter ''{1}'' of {2} tag in {3} field of {4} class is not valid. Valid values for this tag are: '{'{5}}."

### INVALID_TAG_PARAM_VALUE_CONSTRUCTOR

    public static final String INVALID_TAG_PARAM_VALUE_CONSTRUCTOR

See Also:
  Constant Field Values
msg.bundle
  msg="The value ''{0}'' specified for parameter ''{1}'' of {2} tag in constructor of {3} class is not valid. Valid values for this tag are: '{'{4}}."

### INVALID_TAG_PARAM_VALUE_CLASS

    public static final String INVALID_TAG_PARAM_VALUE_CLASS

See Also:
  Constant Field Values
msg.bundle
  msg="The value ''{0}'' specified for parameter ''{1}'' of {2} tag in {3} class is not valid. Valid values for this tag are: '{'{4}}."

### INVALID_TAG_PARAM_VALUE_METHOD

    public static final String INVALID_TAG_PARAM_VALUE_METHOD

See Also:
  Constant Field Values
msg.bundle
  msg="The value ''{0}'' specified for parameter ''{1}'' of {2} tag in {3} method of {4} class is not valid. Valid values for this tag are: '{'{5}}."

### BAD_PRGELEMDOC_TYPE

    public static final String BAD_PRGELEMDOC_TYPE

See Also:
  Constant Field Values
msg.bundle
  msg="What''s going on here?!?!? prg_elem_doc={0}"

### GENERATING_TEMPLATE_OUTPUT_PER_CLASS

    public static final String GENERATING_TEMPLATE_OUTPUT_PER_CLASS

See Also:
  Constant Field Values
msg.bundle
  msg="Generating output for ''{0}'' using template file ''{1}''."

### GENERATING_TEMPLATE_OUTPUT_SINGLE_FILE

    public static final String GENERATING_TEMPLATE_OUTPUT_SINGLE_FILE

See Also:
  Constant Field Values
msg.bundle
  msg="Generating output ''{0}'' using template file ''{1}''."

### COULDNT_FIND_BEAN

    public static final String COULDNT_FIND_BEAN

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t find bean {0} in sourcepath {1}."

### TAG_MISSING_EQUALS

    public static final String TAG_MISSING_EQUALS

See Also:
  Constant Field Values
msg.bundle
  msg="Error in tag: = sign expected after parameter name, class={0}, tag={1}."

### TAG_MALFORMED_VALUE

    public static final String TAG_MALFORMED_VALUE

See Also:
  Constant Field Values
msg.bundle
  msg="Error in tag: parameters should be in paramName=\"paramValue\" format, class={0}, tag={1}."

### TAG_QUOTE_EXPECTED

    public static final String TAG_QUOTE_EXPECTED

See Also:
  Constant Field Values
msg.bundle
  msg="Error in tag: \" sign expected but something different found, class={0}, tag={1}."

### TAG_MUST_ESCAPE_QUOTES

    public static final String TAG_MUST_ESCAPE_QUOTES

See Also:
  Constant Field Values
msg.bundle
  msg="Error in tag: to put \" in a parameter value you need to escape \" character with \\, class={0}, tag={1}."

### TAG_NO_CLOSING_QUOTE

    public static final String TAG_NO_CLOSING_QUOTE

See Also:
  Constant Field Values
msg.bundle
  msg="Error in tag: trailing \" sign expected but not found, class={0}, tag={1}."

### TEMPLATE_TAGNAME_IS_NULL

    public static final String TEMPLATE_TAGNAME_IS_NULL

See Also:
  Constant Field Values
msg.bundle
  msg="tagName mandatory parameter in template file is null."

### BAD_TAGVALUE_TYPE

    public static final String BAD_TAGVALUE_TYPE

See Also:
  Constant Field Values
msg.bundle
  msg="Bad type. Should have been one of FOR_CLASS, FOR_METHOD, FOR_CONSTRUCTOR or FOR_FIELD."

### TAGVALUE_NULL

    public static final String TAGVALUE_NULL

See Also:
  Constant Field Values
msg.bundle
  msg="Cannot have null program element when extracting tag value."

### MANDATORY_TAG_PARAM_MISSING_TEMPLATE

    public static final String MANDATORY_TAG_PARAM_MISSING_TEMPLATE

See Also:
  Constant Field Values
msg.bundle
  msg="Mandatory parameter ''{0}'' missing for template tag ''{1}''."

### GENERATING_SOMETHING

    public static final String GENERATING_SOMETHING

See Also:
  Constant Field Values
msg.bundle
  msg="Generating {0}."

### METHOD_NOT_FOUND

    public static final String METHOD_NOT_FOUND

See Also:
  Constant Field Values
msg.bundle
  msg="Method {0} not found."

### TAG_MUST_INCLUDE_A_PROPERTY

    public static final String TAG_MUST_INCLUDE_A_PROPERTY

See Also:
  Constant Field Values
msg.bundle
  msg="{0} tag must include a {1} property."

### DUPLICATED_TAG

    public static final String DUPLICATED_TAG

See Also:
  Constant Field Values
msg.bundle
  msg="Duplicated tag {0} {1}=''{2}'' encountered. IGNORED."

### ATTRIBUTE_NOT_SUPPORTED

    public static final String ATTRIBUTE_NOT_SUPPORTED

See Also:
  Constant Field Values
msg.bundle
  msg="The {0} task doesn''t support the {1} attribute."

### OBSOLETE_TASK_ATTRIBUTE

    public static final String OBSOLETE_TASK_ATTRIBUTE

See Also:
  Constant Field Values
msg.bundle
  msg="{0} attribute is now obsolete. Please use a nested element."

### CREATE_TASK_ERROR

    public static final String CREATE_TASK_ERROR

See Also:
  Constant Field Values
msg.bundle
  msg="Can''t create a {0} element under {1}. Make sure the jar file containing the corresponding subtask class is on the classpath specified in the that defined {2}."

### CLASS_NOT_FOUND_EXCEPTION

    public static final String CLASS_NOT_FOUND_EXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t find class {0}: {1}"

### INSTANTIATION_EXCEPTION

    public static final String INSTANTIATION_EXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t instantiate class {0}: {1}"

### ILLEGAL_ACCESS_EXCEPTION

    public static final String ILLEGAL_ACCESS_EXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t invoke constructor for class {0}: {1}"

### XDOCLET_FAILED

    public static final String XDOCLET_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="XDoclet failed."

### CHECK_CLASS_FAILED

    public static final String CHECK_CLASS_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="Make sure the jar file containing the {0} class is on the classpath specified in the that defined {1}. These classes are needed in order to generate correct output."

### AMBIGUOUS_SUBTASK_DEFINITION

    public static final String AMBIGUOUS_SUBTASK_DEFINITION

See Also:
  Constant Field Values
msg.bundle
  msg="Ambiguous subtask definition for logical name {0}: {1} and {2}"

### DEPENDENT_CLASS_FOR_SUBTASK_NOT_FOUND

    public static final String DEPENDENT_CLASS_FOR_SUBTASK_NOT_FOUND

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t find the class {0} on the classpath: {1}"

### CLASS_CAST_EXCEPTION

    public static final String CLASS_CAST_EXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t cast class {0} to {1}"

Constructor Detail

### XDocletMessages

    public XDocletMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD